/*
 *  Copyright (C) 2012 Yvon TANGUY
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.vono.narau.common.dictionary;

import org.vono.narau.models.dictionary.Entry;
import org.vono.narau.models.dictionary.Informations;

import android.net.Uri;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.widget.Toast;

/**
 * Display a toast message for kanji/reading informations.
 */
public class EntryDetailFragment extends FragmentActivity {
	public static final String TAG = EntryDetailFragment.class.getSimpleName();

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		final Uri uri = super.getIntent().getData();

		if (null != uri) {

			String host = uri.getHost();
			String lastPath = uri.getLastPathSegment();

			if (Entry.HOST_INF.equals(host)) {
				String text = Informations.getInfText(lastPath);

				if (null != text) {
					Toast.makeText(this, text, Toast.LENGTH_LONG).show();
				}
			}
		}
		super.finish();
	}
}
