/*
 *  Copyright (C) 2012 Yvon TANGUY
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.vono.narau.dictionary;

import org.vono.narau.dictionary.HistoryFragment.OnSearchSelectedListener;
import org.vono.narau.models.history.SearchResult;

import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.support.v4.app.FragmentTransaction;

/**
 * Show the dictionary history for device with a small screen.
 * 
 */
public class HistoryActivity extends FragmentActivity implements OnSearchSelectedListener {
	
	static final String KEY_RESULT_SEARCH = "KRS";

	private DictionaryType type;

	public HistoryActivity() {
		this.type = null;
	}

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		Bundle data = (null == savedInstanceState ? super.getIntent().getExtras() : savedInstanceState);

		this.type = (DictionaryType) data.getSerializable(HistoryFragment.KEY_DICTIONARY_TYPE);

		HistoryFragment historyFragment = new HistoryFragment();
		historyFragment.setArguments(data);
		final FragmentTransaction transaction = super.getSupportFragmentManager().beginTransaction();
		transaction.add(android.R.id.content, historyFragment);
		transaction.commit();
	}

	@Override
	protected void onSaveInstanceState(Bundle outState) {
		super.onSaveInstanceState(outState);

		outState.putSerializable(HistoryFragment.KEY_DICTIONARY_TYPE, this.type);
	}

	public void onHistorySearchSelected(SearchResult sr) {
		Intent result = new Intent();
		result.putExtra(KEY_RESULT_SEARCH, sr);
		super.setResult(RESULT_OK, result);
		super.finish();
	}

	public DictionaryType getDictionaryType() {
		return this.type;
	}

}
