/*
 *  Copyright (C) 2012 Yvon TANGUY
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.vono.narau.preferences;

import org.vono.narau.R;

import android.app.AlertDialog;
import android.compat.view.MenuCompat;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.os.Bundle;
import android.preference.PreferenceActivity;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.MenuItem;

/**
 * Show the preferences.
 * 
 */
public class PreferencesActivity extends PreferenceActivity implements OnClickListener {
	// private static final String TAG =
	// PreferencesActivity.class.getSimpleName();

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		super.addPreferencesFromResource(R.xml.preferences_all);
	}

	// @Override
	// public boolean onCreateOptionsMenu(Menu menu) {
	// MenuInflater inflater = getMenuInflater();
	// inflater.inflate(R.menu.preferences, menu);
	// return true;
	// }

	@Override
	protected void onStop() {
		MenuCompat.closeMenu(R.menu.preferences);
		super.onStop();
	}

	@Override
	public boolean onKeyUp(int keyCode, KeyEvent event) {
		Menu menu = MenuCompat.onKeyUp(this, keyCode, R.menu.preferences);
		if (null != menu) {
			return true;
		}
		return super.onKeyUp(keyCode, event);
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
		case R.id.menuPreferenceReset:

			AlertDialog.Builder builder = new AlertDialog.Builder(this);
			builder.setTitle(R.string.preferences);
			builder.setMessage(R.string.preferencesResetQuestion);
			builder.setPositiveButton(android.R.string.yes, this);
			builder.setNegativeButton(android.R.string.no, this);
			builder.show();
			break;
		default:
			return super.onOptionsItemSelected(item);
		}
		return true;
	}

	public void onClick(DialogInterface dialog, int which) {
		if (DialogInterface.BUTTON_POSITIVE == which) {
			Preferences.clear(super.getApplicationContext());
			// how to refresh the view ?
			// for now just leave the pref view, ot will be refresh at next
			// display
			finish();
		}
	}

}
